Skip to main content
GET
/
watchlists
/
{watchlistId}
Get watchlists
curl --request GET \
  --url https://api.nevua.markets/watchlists/{watchlistId} \
  --header 'Authorization: Bearer <token>'
{
  "watchLists": [
    {
      "id": "507f1f77bcf86cd799439011",
      "name": "Election Markets",
      "query": {
        "keyphrases": [
          {
            "text": "election",
            "include": true
          }
        ],
        "tags": [],
        "searchMatchOperator": "OR",
        "createdAt": "2024-09-26T10:30:00.000Z"
      },
      "automaticallyAddMatchingEvents": true,
      "events": {
        "event123": {
          "autoFetch": true,
          "markets": [
            "market456",
            "market789"
          ]
        }
      },
      "createdAt": "2024-09-26T10:30:00.000Z",
      "updatedAt": "2024-09-26T11:00:00.000Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

watchlistId
string

Optional watchlist ID. If not provided, returns all user's watchlists.

Response

Successfully retrieved watchlists

watchLists
object[]
required